# Default values for billing-circ.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  repository: registry.gitlab.com/ucsdlibrary/development/billing-circ
  name: billing-circ
  tag: stable
  pullPolicy: Always

# Set to true if a Secret already exists in the namespace for the Deployment
# used for review apps, staging, and prod
existingSecret:
  name: billing-circ
  enabled: false

sftp:
  server: my.sftp.server
  username: username
  password: password

# Used for ingress and healthchecks
healthz: /billing-circ

ldap:
  username: username
  password: password

minio:
  accessKey: accessKey
  bucket: bucket
  bucketKey: bucketKey
  endpoint: endpointUrl
  secretKey: secretKey

# email settings
email:
  from: email@example.com
  to: developers@example.com
  username: username
  password: password
  charge_to: LibraryBilling@ucsd.edu

# Configuration for postgresql chart
# see: https://github.com/kubernetes/charts/blob/master/stable/postgresql/README.md
postgresql:
  image:
    repository: bitnami/postgresql
    tag: 15.6.0-debian-12-r17
  architecture: standalone
  enabled: true
  containerPorts:
    postgresql: 5432
  auth:
    username: billing
    password: billing
    database: billing
    postgresPassword: billing_admin
  primary:
    resources:
      cpu: 1000m
      memory: 1Gi
    persistence:
      enabled: true
      size: 1Gi

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 80

ingress:
  enabled: true
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 20m
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: billing-circ.local
      paths:
      - path: /billing-circ
        backend:
          serviceName: billing-circ.local
          servicePort: 80
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}
